
// Checkerboard.java
// Robert Sedgewick and Kevin Wayne
// Slightly reformatted by Andrew Davison, Nov. 2022

// https://introcs.cs.princeton.edu/java/15inout/Checkerboard.java.html

/* Plots an n-by-n checkerboard.

   Usage:
     > compile Checkerboard.java
     > run Checkerboard n
   e.g.
     > run Checkerboard 8
*/
  
 
public class Checkerboard
{

  public static void main(String[] args)
  {
    if (args.length != 1) {
      System.out.println("Usage: run Checkerboard <side length>");
      return;
    }
    int n = Integer.parseInt(args[0]);

    StdDraw.setXscale(0, n);
    StdDraw.setYscale(0, n);

    for (int i = 0; i < n; i++)
      for (int j = 0; j < n; j++) {
        if ((i + j) % 2 != 0) 
          StdDraw.setPenColor(StdDraw.BLACK);
        else 
          StdDraw.setPenColor(StdDraw.RED);
        StdDraw.filledSquare(i + 0.5, j + 0.5, 0.5);
      }
  } /* main */

}  // end of Checkerboard()